Eclipse Ubuntu

From Dmz-portal

Jump to: navigation, search

Some notes for problems on Ubuntu.

The default "theme" for Ubuntu will not work properly with Eclipse. I think that there are other solutions to this problem but the simple one is to go system->preference->appearance->theme and set it to "new wave".

Also, there are some irritating command line messages you will get when you run Eclipse and Emacs. fix command line

Resolving "murrine_style_draw_box: assertion `height >= -1'"

When using Emacs 23 and a few other applications on Ubuntu running GNOME, I often get a irritatingly cryptic error message ** (emacs:25074): CRITICAL **: murrine_style_draw_box: assertion `height >= -1' failed. Turns out it has got something to do with the theme I'm running.

Thanks to Alf, it is very easy to get rid of that by tweaking Gtk configuration. Modify the entry in /usr/share/themes/Ambiance/gtk-2.0/gtkrc from GtkRange::trough-under-steppers = 0 to GtkRange::trough-under-steppers = 1.

Personal tools
Namespaces
Variants
Actions
Navigation
Toolbox